import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/widgets/button/default_button.dart';

class ConfirmDialog extends StatelessWidget {
  final String? title;
  final String? message;
  final String? okTitle;
  final VoidCallback? onTap;

  const ConfirmDialog({Key? key, this.title, @required this.message, this.okTitle, this.onTap}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Dialog(
      backgroundColor: Colors.white,
      shape: RoundedRectangleBorder(),
      insetPadding: EdgeInsets.only(left: 21, right: 21),
      child: Padding(
        padding: EdgeInsets.only(left: 20, right: 20, top: 18, bottom: 28),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Expanded(
                  child: Padding(
                    padding: const EdgeInsets.only(top: 16.0),
                    child: Text(
                      title ?? LocaleKeys.confirm.tr(),
                      style: TextStyle(fontSize: 24, fontWeight: FontWeight.w600, color: Color(0xff2B353E), height: 35 / 24, letterSpacing: -0.96),
                    ),
                  ),
                ),
                IconButton(
                  padding: EdgeInsets.zero,
                  icon: Icon(Icons.close),
                  color: Color(0xff2B353E),
                  constraints: BoxConstraints(),
                  onPressed: () {
                    Navigator.pop(context);
                  },
                )
              ],
            ),
            Text(
              message ?? "",
              style: TextStyle(fontSize: 16, fontWeight: FontWeight.w600, color: Color(0xff808080), letterSpacing: -0.48),
            ),
            SizedBox(height: 28),
            DefaultButton(
              okTitle ?? LocaleKeys.ok.tr(),
              onTap == null ? () => Navigator.pop(context) : onTap,
              textColor: Colors.white,
              //color: Ap.green,
            ),
          ],
        ),
      ),
    );
  }
}
